ConnectCloud Developers

Add a tenant holiday (hr:admin)

POST /api/hr/v1/custom-holidays

Module: HR · operationId: createCustomHoliday · Tag: Configuration · Auth: access token (Authorization: Bearer <accessToken>)

Request body

application/json (required)

  • date (string (date), required): Date (YYYY-MM-DD)
  • fraction (number, required): 1 for a full day, 0.5 for a half day (one of 0.5, 1)
  • name (string, required): Name of the holiday
  • id (string): Id of the tenant holiday
  • recurring (boolean): Every year on the same day
  • version (integer): Version for optimistic locking: send the version you read with a change (stale: 409 version_conflict)

Example:

{
  "date": "2026-12-24",
  "fraction": 0.5,
  "id": "0e2a4c6e-8a0c-4e2a-8c6e-8a0c2e4a6c14",
  "name": "Heiligabend (halber Tag)",
  "recurring": true,
  "version": 1
}

Responses

  • 201 Created (application/json)
  • 400 Error (application/json)

Fields of the 201 answer:

  • date (string (date), required): Date (YYYY-MM-DD)
  • fraction (number, required): 1 for a full day, 0.5 for a half day (one of 0.5, 1)
  • name (string, required): Name of the holiday
  • id (string): Id of the tenant holiday
  • recurring (boolean): Every year on the same day
  • version (integer): Version for optimistic locking: send the version you read with a change (stale: 409 version_conflict)

Example 201 answer:

{
  "date": "2026-12-24",
  "fraction": 0.5,
  "id": "0e2a4c6e-8a0c-4e2a-8c6e-8a0c2e4a6c14",
  "name": "Heiligabend (halber Tag)",
  "recurring": true,
  "version": 1
}

Example request

curl -X POST 'https://api.mbcom.cloud/api/hr/v1/custom-holidays' \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H 'Content-Type: application/json' \
  --data '{"date":"2026-12-24","fraction":0.5,"id":"0e2a4c6e-8a0c-4e2a-8c6e-8a0c2e4a6c14","name":"Heiligabend (halber Tag)","recurring":true,"version":1}'

View as Markdown · Interactive reference · OpenAPI